# nictagadm – Manage nic tags on SmartOS systems

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create or delete nic tags on SmartOS systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

etherstub
boolean

Choices:
- no ←
- yes

Specifies that the nic tag will be attached to a created etherstub.
Parameter etherstub is mutually exclusive with both mtu, and mac.

force
boolean

Choices:
- no ←
- yes

When state is absent set this switch will use the `-f` parameter and delete the nic tag regardless of existing VMs.

mac string |  | Specifies the mac address to attach the nic tag to when not creating an etherstub. Parameters mac and etherstub are mutually exclusive.
mtu integer |  | Specifies the size of the mtu of the desired nic tag. Parameters mtu and etherstub are mutually exclusive.
name string / required |  | Name of the nic tag.

state
string

Choices:
- absent
- present ←

Create or delete a SmartOS nic tag.

## Examples

    - name: Create 'storage0' on '00:1b:21:a3:f5:4d'
      nictagadm:
        name: storage0
        mac: 00:1b:21:a3:f5:4d
        mtu: 9000
        state: present

    - name: Remove 'storage0' nic tag
      nictagadm:
        name: storage0
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
etherstub boolean | always | specifies if the nic tag will create and attach to an etherstub.
force boolean | always | Shows if -f was used during the deletion of a nic tag
mac string | always | MAC Address that the nic tag was attached to. Sample: 00:1b:21:a3:f5:4d
mtu integer | always | specifies which MTU size was passed during the nictagadm add command. mtu and etherstub are mutually exclusive. Sample: 1500
name string | always | nic tag name Sample: storage0
state string | always | state of the target Sample: present

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Bruce Smith (@SmithX10)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.